Index: /Interface_Web/trunk/Interfaces/Platform/v1r0p1/cmt/Doxyfile
===================================================================
--- /Interface_Web/trunk/Interfaces/Platform/v1r0p1/cmt/Doxyfile	(revision 26)
+++ /Interface_Web/trunk/Interfaces/Platform/v1r0p1/cmt/Doxyfile	(revision 26)
@@ -0,0 +1,259 @@
+# Doxyfile 1.3.8
+
+#---------------------------------------------------------------------------
+# Project related configuration options
+#---------------------------------------------------------------------------
+PROJECT_NAME           = DrawQt
+PROJECT_NUMBER         = v1r0
+OUTPUT_DIRECTORY       = ../doc
+CREATE_SUBDIRS         = NO
+OUTPUT_LANGUAGE        = English
+USE_WINDOWS_ENCODING   = NO
+BRIEF_MEMBER_DESC      = YES
+REPEAT_BRIEF           = YES
+ABBREVIATE_BRIEF       = "The $name class" \
+                         "The $name widget" \
+                         "The $name file" \
+                         is \
+                         provides \
+                         specifies \
+                         contains \
+                         represents \
+                         a \
+                         an \
+                         the
+ALWAYS_DETAILED_SEC    = NO
+INLINE_INHERITED_MEMB  = NO
+FULL_PATH_NAMES        = YES
+STRIP_FROM_PATH        = /Applications/
+STRIP_FROM_INC_PATH    = 
+SHORT_NAMES            = NO
+JAVADOC_AUTOBRIEF      = NO
+MULTILINE_CPP_IS_BRIEF = NO
+DETAILS_AT_TOP         = NO
+INHERIT_DOCS           = YES
+DISTRIBUTE_GROUP_DOC   = NO
+TAB_SIZE               = 8
+ALIASES                = 
+OPTIMIZE_OUTPUT_FOR_C  = NO
+OPTIMIZE_OUTPUT_JAVA   = NO
+SUBGROUPING            = YES
+#---------------------------------------------------------------------------
+# Build related configuration options
+#---------------------------------------------------------------------------
+EXTRACT_ALL            = YES
+EXTRACT_PRIVATE        = YES
+EXTRACT_STATIC         = NO
+EXTRACT_LOCAL_CLASSES  = YES
+EXTRACT_LOCAL_METHODS  = NO
+HIDE_UNDOC_MEMBERS     = NO
+HIDE_UNDOC_CLASSES     = NO
+HIDE_FRIEND_COMPOUNDS  = NO
+HIDE_IN_BODY_DOCS      = NO
+INTERNAL_DOCS          = YES
+CASE_SENSE_NAMES       = NO
+HIDE_SCOPE_NAMES       = NO
+SHOW_INCLUDE_FILES     = YES
+INLINE_INFO            = YES
+SORT_MEMBER_DOCS       = YES
+SORT_BRIEF_DOCS        = YES
+SORT_BY_SCOPE_NAME     = NO
+GENERATE_TODOLIST      = YES
+GENERATE_TESTLIST      = YES
+GENERATE_BUGLIST       = YES
+GENERATE_DEPRECATEDLIST= YES
+ENABLED_SECTIONS       = 
+MAX_INITIALIZER_LINES  = 30
+SHOW_USED_FILES        = YES
+#---------------------------------------------------------------------------
+# configuration options related to warning and progress messages
+#---------------------------------------------------------------------------
+QUIET                  = NO
+WARNINGS               = YES
+WARN_IF_UNDOCUMENTED   = YES
+WARN_IF_DOC_ERROR      = YES
+WARN_FORMAT            = "$file:$line: $text"
+WARN_LOGFILE           = 
+#---------------------------------------------------------------------------
+# configuration options related to the input files
+#---------------------------------------------------------------------------
+INPUT                  = ../.
+FILE_PATTERNS          = *.c \
+                         *.cc \
+                         *.cxx \
+                         *.cpp \
+                         *.c++ \
+                         *.java \
+                         *.ii \
+                         *.ixx \
+                         *.ipp \
+                         *.i++ \
+                         *.inl \
+                         *.h \
+                         *.hh \
+                         *.hxx \
+                         *.hpp \
+                         *.h++ \
+                         *.idl \
+                         *.odl \
+                         *.cs \
+                         *.php \
+                         *.php3 \
+                         *.inc \
+                         *.m \
+                         *.mm \
+                         *.C \
+                         *.CC \
+                         *.C++ \
+                         *.II \
+                         *.I++ \
+                         *.H \
+                         *.HH \
+                         *.H++ \
+                         *.CS \
+                         *.PHP \
+                         *.PHP3 \
+                         *.M \
+                         *.MM
+RECURSIVE              = YES
+EXCLUDE                = moc_*
+EXCLUDE_SYMLINKS       = NO
+EXCLUDE_PATTERNS       = 
+EXAMPLE_PATH           = 
+EXAMPLE_PATTERNS       = *
+EXAMPLE_RECURSIVE      = NO
+IMAGE_PATH             = 
+INPUT_FILTER           = 
+FILTER_PATTERNS        = 
+FILTER_SOURCE_FILES    = NO
+#---------------------------------------------------------------------------
+# configuration options related to source browsing
+#---------------------------------------------------------------------------
+SOURCE_BROWSER         = YES
+INLINE_SOURCES         = YES
+STRIP_CODE_COMMENTS    = YES
+REFERENCED_BY_RELATION = YES
+REFERENCES_RELATION    = YES
+VERBATIM_HEADERS       = YES
+#---------------------------------------------------------------------------
+# configuration options related to the alphabetical class index
+#---------------------------------------------------------------------------
+ALPHABETICAL_INDEX     = YES
+COLS_IN_ALPHA_INDEX    = 5
+IGNORE_PREFIX          = 
+#---------------------------------------------------------------------------
+# configuration options related to the HTML output
+#---------------------------------------------------------------------------
+GENERATE_HTML          = YES
+HTML_OUTPUT            = html
+HTML_FILE_EXTENSION    = .html
+HTML_HEADER            = 
+HTML_FOOTER            = 
+HTML_STYLESHEET        = 
+HTML_ALIGN_MEMBERS     = YES
+GENERATE_HTMLHELP      = NO
+CHM_FILE               = 
+HHC_LOCATION           = 
+GENERATE_CHI           = NO
+BINARY_TOC             = NO
+TOC_EXPAND             = NO
+DISABLE_INDEX          = NO
+ENUM_VALUES_PER_LINE   = 4
+GENERATE_TREEVIEW      = YES
+TREEVIEW_WIDTH         = 250
+#---------------------------------------------------------------------------
+# configuration options related to the LaTeX output
+#---------------------------------------------------------------------------
+GENERATE_LATEX         = NO
+LATEX_OUTPUT           = latex
+LATEX_CMD_NAME         = latex
+MAKEINDEX_CMD_NAME     = makeindex
+COMPACT_LATEX          = NO
+PAPER_TYPE             = a4wide
+EXTRA_PACKAGES         = 
+LATEX_HEADER           = 
+PDF_HYPERLINKS         = NO
+USE_PDFLATEX           = NO
+LATEX_BATCHMODE        = NO
+LATEX_HIDE_INDICES     = NO
+#---------------------------------------------------------------------------
+# configuration options related to the RTF output
+#---------------------------------------------------------------------------
+GENERATE_RTF           = NO
+RTF_OUTPUT             = rtf
+COMPACT_RTF            = NO
+RTF_HYPERLINKS         = NO
+RTF_STYLESHEET_FILE    = 
+RTF_EXTENSIONS_FILE    = 
+#---------------------------------------------------------------------------
+# configuration options related to the man page output
+#---------------------------------------------------------------------------
+GENERATE_MAN           = NO
+MAN_OUTPUT             = man
+MAN_EXTENSION          = .3
+MAN_LINKS              = NO
+#---------------------------------------------------------------------------
+# configuration options related to the XML output
+#---------------------------------------------------------------------------
+GENERATE_XML           = NO
+XML_OUTPUT             = xml
+XML_SCHEMA             = 
+XML_DTD                = 
+XML_PROGRAMLISTING     = YES
+#---------------------------------------------------------------------------
+# configuration options for the AutoGen Definitions output
+#---------------------------------------------------------------------------
+GENERATE_AUTOGEN_DEF   = NO
+#---------------------------------------------------------------------------
+# configuration options related to the Perl module output
+#---------------------------------------------------------------------------
+GENERATE_PERLMOD       = NO
+PERLMOD_LATEX          = NO
+PERLMOD_PRETTY         = YES
+PERLMOD_MAKEVAR_PREFIX = 
+#---------------------------------------------------------------------------
+# Configuration options related to the preprocessor   
+#---------------------------------------------------------------------------
+ENABLE_PREPROCESSING   = YES
+MACRO_EXPANSION        = NO
+EXPAND_ONLY_PREDEF     = NO
+SEARCH_INCLUDES        = YES
+INCLUDE_PATH           = 
+INCLUDE_FILE_PATTERNS  = 
+PREDEFINED             = 
+EXPAND_AS_DEFINED      = 
+SKIP_FUNCTION_MACROS   = YES
+#---------------------------------------------------------------------------
+# Configuration::additions related to external references   
+#---------------------------------------------------------------------------
+TAGFILES               = 
+GENERATE_TAGFILE       = 
+ALLEXTERNALS           = NO
+EXTERNAL_GROUPS        = YES
+PERL_PATH              = /usr/bin/perl
+#---------------------------------------------------------------------------
+# Configuration options related to the dot tool   
+#---------------------------------------------------------------------------
+CLASS_DIAGRAMS         = YES
+HIDE_UNDOC_RELATIONS   = YES
+HAVE_DOT               = YES
+CLASS_GRAPH            = YES
+COLLABORATION_GRAPH    = YES
+UML_LOOK               = YES
+TEMPLATE_RELATIONS     = YES
+INCLUDE_GRAPH          = YES
+INCLUDED_BY_GRAPH      = YES
+CALL_GRAPH             = YES
+GRAPHICAL_HIERARCHY    = YES
+DOT_IMAGE_FORMAT       = png
+DOT_PATH               = /sw/bin
+DOTFILE_DIRS           = 
+MAX_DOT_GRAPH_WIDTH    = 1024
+MAX_DOT_GRAPH_HEIGHT   = 1024
+MAX_DOT_GRAPH_DEPTH    = 1000
+GENERATE_LEGEND        = YES
+DOT_CLEANUP            = YES
+#---------------------------------------------------------------------------
+# Configuration::additions related to the search engine   
+#---------------------------------------------------------------------------
+SEARCHENGINE           = NO
Index: /Interface_Web/trunk/Interfaces/Platform/v1r0p1/cmt/cmt_make_shlib_common.sh
===================================================================
--- /Interface_Web/trunk/Interfaces/Platform/v1r0p1/cmt/cmt_make_shlib_common.sh	(revision 26)
+++ /Interface_Web/trunk/Interfaces/Platform/v1r0p1/cmt/cmt_make_shlib_common.sh	(revision 26)
@@ -0,0 +1,96 @@
+#!/bin/sh
+
+#set -x
+
+#------------------------------------------------------
+#
+#  Syntax :
+#
+#  cmt_make_shlib_common.sh extract-arg package extra-args
+#
+#   with :
+#
+#      extract-arg  : either "extract" or "no_extract"
+#      package      : the current package name
+#      extra-args   : extra link options
+#
+#------------------------------------------------------
+
+extract=$1
+shift
+
+tag=$1
+shift
+
+lib=$1
+shift
+
+extra=$*
+
+here=`pwd`
+
+ld=`${CMTROOT}/mgr/cmt show macro_value shlibbuilder -tag=${tag}`
+ldflags=`${CMTROOT}/mgr/cmt show macro_value shlibflags -tag=${tag}`
+suffix=`${CMTROOT}/mgr/cmt show macro_value shlibsuffix -tag=${tag}`
+libprefix=`${CMTROOT}/mgr/cmt show macro_value library_prefix -tag=${tag}`
+libsuffix=`${CMTROOT}/mgr/cmt show macro_value library_suffix -tag=${tag}`
+
+if test "${ld}" = "" ; then
+  exit 1
+fi
+
+libname=${libprefix}${lib}${libsuffix}
+/bin/rm -f ${libname}.${suffix}
+
+result=0
+
+temp_shlib=${lib}temp_shlib
+
+if test ${extract} = "extract"; then
+  trap 'cd ${here}; /bin/rm -rf ${temp_shlib}; exit ${result}' 0 1 2 15
+
+  mkdir -p ${temp_shlib}
+  /bin/rm -f ${temp_shlib}/*
+
+  (cd ${temp_shlib}; ar x ../${libname}.a)
+
+  #
+  # Build a protected list of modules just extracted from
+  # the static library
+  #  Files containing space characters are accepted
+  #
+  modules=`ls -1 ${temp_shlib} | \
+           grep '[.]o$' | \
+           sed -e 's#^#'${temp_shlib}'/#' \
+               -e 's#^#"#g' \
+               -e 's#$#"#'`
+
+  if test "${QUIET}" = ""; then set -v; fi
+  eval ${ld} ${ldflags} -o ${libname}.${suffix} ${modules} ${extra}
+  result=$?
+
+  if [ `uname` = Darwin ] ; then
+    /bin/rm -f ${lib}.bundle
+    opts=" -Wl,-headerpad_max_install_names -Wl,-headerpad,800"
+    eval ${ld} -bundle -twolevel_namespace ${opts} -o ${lib}.bundle ${modules} ${extra}
+    result=$?
+  fi
+
+  if test "${QUIET}" = ""; then set +v; fi
+
+  /bin/rm -rf ${temp_shlib}
+
+else
+
+  if test "${QUIET}" = ""; then set -v; fi
+
+  eval ${ld} ${ldflags} -all ${libname}.a -o ${libname}.${suffix} ${extra} -rpath `pwd`
+  result=$?
+
+  if test "${QUIET}" = ""; then set +v; fi
+
+fi
+
+
+
+
Index: /Interface_Web/trunk/Interfaces/Platform/v1r0p1/cmt/doxygen.py
===================================================================
--- /Interface_Web/trunk/Interfaces/Platform/v1r0p1/cmt/doxygen.py	(revision 26)
+++ /Interface_Web/trunk/Interfaces/Platform/v1r0p1/cmt/doxygen.py	(revision 26)
@@ -0,0 +1,357 @@
+
+
+# -*- coding: iso-8859-1 -*-
+
+import os
+import sys
+import string
+import popen2
+import stat
+import re
+
+from os.path import join
+
+
+tagfiles = ''
+
+#----------------------------------------------------
+def removedirs (top):
+    # Delete everything reachable from the directory named in 'top'.
+    # CAUTION:  This is dangerous!  For example, if top == '/', it
+    # could delete all your disk files.
+    if os.path.exists (top):
+        for root, dirs, files in os.walk (top, topdown=False):
+            for name in files:
+                name = root + '/' + name
+                os.chmod (name, stat.S_IWRITE)
+                #print name
+                os.remove (name)
+            for name in dirs:
+                name = root + '/' + name
+                os.chmod (name, stat.S_IWRITE)
+                #print name
+                os.rmdir (name)
+        os.chmod (top, stat.S_IWRITE)
+        #print top
+        os.rmdir (top)
+
+
+#----------------------------------------------------
+#
+# Execution d'une commande du shell
+#
+def execute (cmd):
+    #print '> ' + cmd
+    r, w, e = popen2.popen3(cmd)
+    lines = []
+    for line in r.readlines():
+	##print line
+        line = string.rstrip (line)
+        lines.append (line)
+    #for line in e.readlines():
+    #    line = string.rstrip (line)
+    #    lines.append (line)
+    r.close()
+    w.close()
+    e.close()
+    return lines
+    #end execute
+
+#----------------------------------------------------
+def show_lines (lines):
+    for line in lines:
+        print line
+    # end show_lines
+
+#----------------------------------------------------
+class Cmt:
+    cmtexe = os.environ ['CMTROOT'] + '/' + os.environ ['CMTBIN'] + '/cmt.exe'
+    macros = dict ()
+    sets = dict ()
+    uses = []
+    
+    def __init__ (self):
+        #lines = execute (self.cmtexe + ' show macros')
+        #for line in lines:
+        #    w = string.split (line, '=')
+        #    name = w[0]
+        #    value = re.sub ('^[\']', '', w[1])
+        #    value = re.sub ('[\']$', '', value)
+        #    self.macros [name] = value
+        #lines = execute (self.cmtexe + ' show sets')
+        #for line in lines:
+        #    w = string.split (line, '=')
+        #    name = w[0]
+        #    value = re.sub ('^[\']', '', w[1])
+        #    value = re.sub ('[\']$', '', value)
+        #    self.sets [name] = value
+        lines = execute (self.cmtexe + ' show uses')
+        for line in lines:
+            if line[0] == '#':
+                continue
+            self.uses.append (line)
+    def macro_value (self, name):
+        if not self.macros.has_key (name):
+            lines = execute (self.cmtexe + ' show macro_value ' + name)
+            self.macros[name] = ''
+            for line in lines:
+                #print 'name=' + name + ' value = ' + line
+                self.macros[name] = line
+                break
+        return self.macros[name]
+
+    def do (self, cmd):
+        execute (self.cmtexe + ' ' + cmd)
+
+def filter_doxyfile (doxygen_input, tagfiles, package_tagfile):
+    f = open ('Doxyfile')
+    lines = f.readlines ()
+    f.close ()
+    g = open ('Doxyfile', 'w')
+    for line in lines:
+        w = string.split (line)
+        if len (w) > 0:
+            if w[0] == 'INPUT':
+                line = 'INPUT = ' + doxygen_input + '\n'
+            elif w[0] == 'TAGFILES':
+                line = 'TAGFILES = ' + tagfiles + '\n'
+            elif w[0] == 'GENERATE_TAGFILE':
+                line = 'GENERATE_TAGFILE = ' + package_tagfile + '\n'
+	# print line
+        g.write (line)
+    g.close ()
+
+def filter_uses ():
+  used_packages = ''
+  tagfiles = ''
+
+  for line in cmt.uses:
+    w = string.split (line)
+    package = w[1]
+    version = w[2]
+    offset = w[3]
+    if offset[0] == '(':
+        offset = ''
+        
+    if package == 'CMT':
+        continue
+    if offset == 'CMT':
+        continue
+    if offset != '':
+        offset = offset + '/'
+
+    cmtpath = string.replace (line, '(no_auto_imports)', '')
+    cmtpath = re.sub ('.*[(]', '', cmtpath)
+    cmtpath = re.sub ('[)].*', '', cmtpath)
+
+    inpackage = ''
+    path = cmtpath + '/' + offset + '/' + package + '/' + version + '/doc'
+    if os.path.isdir (path):
+        for f in os.listdir (path):
+            if re.search ('[.]tag$', f) == None:
+		continue
+            inpackage = f
+
+    path = cmtpath + '/InstallArea/doc/' + package + '.tag'
+    if os.path.isfile (path):
+        print package + '.tag found in InstallArea ' + cmtpath
+        tagfiles = tagfiles + ' ' + path
+    elif inpackage != '':
+        print package + '.tag found in package ' + cmtpath + '/' + offset + package
+        tagfiles = tagfiles + ' ' + inpackage
+
+    used_packages = used_packages + ' ' + offset + package
+
+  return used_packages, tagfiles
+
+
+#----------------------------------------------------
+# Main
+#----------------------------------------------------
+
+cmt = Cmt ()
+
+#----------------------------------------------------
+# Preparation de la configuration
+
+CMTINSTALLAREA       = cmt.macro_value ('CMTINSTALLAREA')
+PLATFORMROOT         = cmt.macro_value ('PLATFORMROOT')
+package              = cmt.macro_value ('package')
+DOXYGEN_INPUT        = cmt.macro_value ('DOXYGEN_INPUT')
+DOXYGEN_FILE_PATTERNS    = cmt.macro_value ('DOXYGEN_FILE_PATTERNS')
+DOXYGEN_OUTPUT_DIRECTORY = cmt.macro_value ('DOXYGEN_OUTPUT_DIRECTORY')
+
+output = DOXYGEN_OUTPUT_DIRECTORY + 'doc'
+print 'output=[' + output + ']'
+
+package_tagfile = CMTINSTALLAREA + '/doc/' + package + '.tag'
+DOXYGEN_GENERATE_TAGFILE = package_tagfile
+
+used_packages, tagfiles = filter_uses ()
+#print 'used_packages = ' + used_packages
+#print 'tagfiles = ' + tagfiles
+
+#----------------------------------------------------
+# Preparation de l'output
+
+#print 'output = ' + output
+
+if not os.path.isdir (output):
+    os.makedirs (output)
+
+if not os.path.isdir ('../doc'):
+    os.makedirs ('../doc')
+
+if not os.path.isfile ('../doc/mainpage.h'):
+    f = open ('../doc/mainpage.h', 'w')
+    f.write ('/**\n')
+    f.write ('\n')
+    f.write ('@mainpage\n')
+    f.write ('\n')
+    f.write ('@htmlinclude used_packages.html\n')
+    f.write ('\n')
+    f.write ('@include requirements\n')
+    f.write ('\n')
+    f.write ('*/\n')
+    f.close ()
+
+#----------------------------------------------------
+# Construction de Doxyfile
+
+#if not os.path.isfile ('../doc/Doxyfile'):
+#    cmt.do ('filter ' + PLATFORMROOT + '/cmt/Doxyfile ../doc/Doxyfile')
+#cmt.do ('filter ' + PLATFORMROOT + '/cmt/Doxyfile ../doc/Doxyfile')
+cmt.do ('filter ' + PLATFORMROOT + '/doc/Doxyfile ../doc/Doxyfile')
+
+ok = False
+doxygen_input = ''
+for d in string.split (DOXYGEN_INPUT):
+    if os.path.isdir (d):
+        for p in string.split (DOXYGEN_FILE_PATTERNS):
+            lines = execute ('ls ' + d + '/' + p)
+            show_lines (lines)
+            if len (lines) != 0:
+                doxygen_input = doxygen_input + ' ' + d
+                break
+
+if doxygen_input == '':
+    print 'Empty input for Doxygen'
+    exit
+else:
+    print 'input for Doxygen = ' + doxygen_input
+
+os.chdir ('../doc')
+
+filter_doxyfile (doxygen_input, tagfiles, package_tagfile)
+
+#----------------------------------------------------
+# Construction de used_packages.html
+
+f = open ('used_packages.html', 'w')
+f.write ('<center><table border="1"><tr><td><center><i>Used packages</i></center></td></tr>\n')
+for u in string.split (used_packages):
+    p = os.path.basename (u)
+
+    r = cmt.macro_value (p + '_root')
+
+    print '>>> r=' + r
+    
+    f.write ('<tr><td><a href="' + r + '/doc' + '/html/index.html">' + u + '</a></td></tr>\n')
+f.write ('</table></center>\n')
+f.close ()
+
+#----------------------------------------------------
+# Lancement de doxygen
+
+print 'Now running doxygen'
+    
+lines = execute ('doxygen') 
+show_lines (lines)
+
+##sys.exit (0)
+
+#----------------------------------------------------
+# Gestion des tagfiles
+
+print 'Now patching output files'
+    
+print 'tagfiles = [' + tagfiles + ']'
+
+args = ''
+
+subs = dict ()
+
+if len(tagfiles) > 0:
+
+  for f in string.split (tagfiles):
+    filename = os.path.basename (f)
+    package = string.replace (filename, '.tag', '')
+    d = os.path.dirname (f)
+    d = re.sub ('.*/InstallArea/doc', '../../' + package + '/html/', d)
+    args = args + ' -l ' + filename + '@' + d
+    subs[filename] = d
+
+os.chdir (output + '/html')
+
+files = []
+for name in os.listdir ('.'):
+  if name == 'tree.js':
+    files.append (name)
+  elif re.search ('[.]html$', name) != None:
+    files.append (name)
+
+if len(files) == 0:
+  print 'Warning: No input files given and non found!'
+
+for key in subs:
+  if key == '':
+    continue
+  if key == 'DoxygenInterface.tag':
+    continue
+  if key == '_doc':
+    continue
+  if key == '_cgi':
+    continue
+
+  print 'Substituting ' + subs[key] + ' for each occurence of tag file ' + key
+
+  pattern1 = r'doxygen="(' + key + r'):([^ \"\t\>\<]*)" (href|src)="'
+  repl1    = r'doxygen="' + subs[key] + r'" \3="' + subs[key]
+
+  pattern2 = r'"(' + key + r')\:([^ \"\t\>\<]*)", "'
+  repl2 = r'"' + subs[key] + '", "'
+
+  #print 'p1 = ' + pattern1 + ' r = ' + repl1
+  #print 'p2 = ' + pattern2 + ' r = ' + repl2
+
+  for f in files:
+    #print 'Editing ' + f
+    fbak = f + '.bak' + key
+    #print 'renaming ' + f + ' into ' + fbak
+    if not os.path.isfile (f):
+      print 'File ' + f + ' not found '
+      continue
+
+    os.rename (f, fbak)
+    if f != 'tree.js':
+      pattern = pattern1
+      repl = repl1
+    else:
+      pattern = pattern2
+      repl = repl2
+
+    g = open (f, 'w')
+    gbak = open (fbak)
+
+    for line in gbak:
+      line2 = re.sub (pattern, repl, line)
+      #if line2 != line:
+      #  print line
+      #  print '->' + line2
+      g.write (line2)
+
+    g.close ()
+    gbak.close ()
+ 
+    ##os.rename (fbak, f)
+
Index: /Interface_Web/trunk/Interfaces/Platform/v1r0p1/cmt/fragments/config_in
===================================================================
--- /Interface_Web/trunk/Interfaces/Platform/v1r0p1/cmt/fragments/config_in	(revision 26)
+++ /Interface_Web/trunk/Interfaces/Platform/v1r0p1/cmt/fragments/config_in	(revision 26)
@@ -0,0 +1,1 @@
+
Index: /Interface_Web/trunk/Interfaces/Platform/v1r0p1/cmt/fragments/config_in_header
===================================================================
--- /Interface_Web/trunk/Interfaces/Platform/v1r0p1/cmt/fragments/config_in_header	(revision 26)
+++ /Interface_Web/trunk/Interfaces/Platform/v1r0p1/cmt/fragments/config_in_header	(revision 26)
@@ -0,0 +1,14 @@
+
+${CONSTITUENT} :: ${TO}
+
+${TO} :: ${FROM}
+	cp ${FROM} ${TO}
+	echo ${top_srcdir}
+	sed -e 's|@top_srcdir@|${top_srcdir}|g' ${TO} > tmp;mv tmp ${TO}
+	sed -e 's|@top_buildir@|${top_srcdir}|g' ${TO} > tmp;mv tmp ${TO}
+	sed -e 's|@PACKAGE@|${PACKAGE}|g' ${TO} > tmp;mv tmp ${TO}
+	sed -e 's|@VERSION@|${VERSION}|g' ${TO} > tmp;mv tmp ${TO}
+
+${CONSTITUENT}clean ::
+	/bin/rm -f ${TO}
+
Index: /Interface_Web/trunk/Interfaces/Platform/v1r0p1/cmt/fragments/copy_app_header
===================================================================
--- /Interface_Web/trunk/Interfaces/Platform/v1r0p1/cmt/fragments/copy_app_header	(revision 26)
+++ /Interface_Web/trunk/Interfaces/Platform/v1r0p1/cmt/fragments/copy_app_header	(revision 26)
@@ -0,0 +1,9 @@
+
+${CONSTITUENT} :: ${bin}${TO}
+
+${bin}${TO} :: ${FROM}
+	cp ${FROM} ${bin}${TO}
+
+${CONSTITUENT}clean ::
+	/bin/rm -f ${bin}${TO}
+
Index: /Interface_Web/trunk/Interfaces/Platform/v1r0p1/cmt/fragments/copy_exe
===================================================================
--- /Interface_Web/trunk/Interfaces/Platform/v1r0p1/cmt/fragments/copy_exe	(revision 26)
+++ /Interface_Web/trunk/Interfaces/Platform/v1r0p1/cmt/fragments/copy_exe	(revision 26)
@@ -0,0 +1,1 @@
+
Index: /Interface_Web/trunk/Interfaces/Platform/v1r0p1/cmt/fragments/copy_exe_header
===================================================================
--- /Interface_Web/trunk/Interfaces/Platform/v1r0p1/cmt/fragments/copy_exe_header	(revision 26)
+++ /Interface_Web/trunk/Interfaces/Platform/v1r0p1/cmt/fragments/copy_exe_header	(revision 26)
@@ -0,0 +1,9 @@
+
+${CONSTITUENT} :: ${bin}${TO}
+
+${bin}${TO} :: ${bin}${FROM}.exe
+	cp ${bin}${FROM}.exe ${bin}${TO}
+
+${CONSTITUENT}clean ::
+	/bin/rm -f ${bin}${TO}
+
Index: /Interface_Web/trunk/Interfaces/Platform/v1r0p1/cmt/fragments/darwin_app
===================================================================
--- /Interface_Web/trunk/Interfaces/Platform/v1r0p1/cmt/fragments/darwin_app	(revision 26)
+++ /Interface_Web/trunk/Interfaces/Platform/v1r0p1/cmt/fragments/darwin_app	(revision 26)
@@ -0,0 +1,1 @@
+
Index: /Interface_Web/trunk/Interfaces/Platform/v1r0p1/cmt/fragments/darwin_app_header
===================================================================
--- /Interface_Web/trunk/Interfaces/Platform/v1r0p1/cmt/fragments/darwin_app_header	(revision 26)
+++ /Interface_Web/trunk/Interfaces/Platform/v1r0p1/cmt/fragments/darwin_app_header	(revision 26)
@@ -0,0 +1,129 @@
+
+${CONSTITUENT} :: ${bin}${TO}.app
+
+# see for details : http://developer.apple.com/documentation/DeveloperTools/Conceptual/DynamicLibraries/Articles/DynamicLibraryUsageGuidelines.html
+# first, look in LD_LIBRARY_PATH
+# second, look in DYLD_LIBARY_PATH
+# third look in current directory
+# fourth look in $DYLD_FALLBACK_LIBRARY_PATH
+${bin}${TO}.app :: 
+	@/bin/rm -R -f ${bin}${TO}.app; \
+	if test -d  `dirname ${TO}` ; then \
+            mkdir -p `dirname ${TO}` ; \
+	fi ;\
+	mkdir -p ${bin}${TO}.app/Contents/MacOS; \
+	cp ${bin}${FROM}.exe ${bin}${TO}.app/Contents/MacOS/`basename ${TO}`; \
+	mkdir -p ${bin}${TO}.app/Contents/Resources; \
+	if test ! "${FROM_NIB}" = "" ; then \
+	  if test -d  ${FROM_NIB} ; then \
+            mkdir -p ${bin}${TO}.app/Contents/Resources/${TO_NIB} ; \
+	    cp -R ${FROM_NIB} ${bin}${TO}.app/Contents/Resources/${TO_NIB} ; \
+	  fi ;\
+	fi ;\
+	if test ! "${FROM_IMAGE}" = "" ; then \
+	  if test -f  ${FROM_IMAGE} ; then \
+	    cp ${FROM_IMAGE} ${bin}${TO}.app/Contents/Resources/${TO_IMAGE} ; \
+	  fi; \
+	fi; \
+        unscan_libs="/usr/X11R6;/usr/lib";\
+        if [ -f tmp_file ];then\
+          rm darwin_app_tmp_file;\
+        fi ;\
+        echo $${unscan_libs} | sed -e 's#;#|#g' -e 's#/#\\/#g' >darwin_app_tmp_file;\
+        read unscan_libs_regexp <darwin_app_tmp_file;\
+        if [ -f darwin_app_tmp_file ];then\
+          rm darwin_app_tmp_file;\
+        fi ;\
+        if [ -f darwin_app_libs ];then\
+          rm darwin_app_libs;\
+        fi ;\
+	mkdir -p ${bin}${TO}.app/Contents/Frameworks; \
+	otool -L ../Darwin/${bin}${TO}.app/Contents/MacOS/`basename ${TO}` |  sed -e 's/^\([[:blank:]]*\)\(.*\)\( (.*\)/\2/'> darwin_app_libs; \
+        sed -e '/^@executable_path/d' darwin_app_libs | sed -e '/dylib:/d' | egrep -v '^('$${unscan_libs_regexp}')' > darwin_app_tmp_file;\
+	cp darwin_app_tmp_file darwin_app_libs;\
+        if [ -f darwin_app_tmp_file ];then\
+          rm darwin_app_tmp_file;\
+        fi ;\
+        end_loop_libs=0; \
+        while [ $${end_loop_libs} -eq 0 ] ; do \
+	  for my_dylib in `grep "dylib" darwin_app_libs` ; do \
+            echo "look for dylib $${my_dylib}"; \
+	    found=0; \
+            my_dylib_name=`basename $${my_dylib}`; \
+            if [ `dirname $${my_dylib}` != "." ]; then \
+              echo "   ...found $${my_dylib}"; \
+              cp $${my_dylib} ${bin}${TO}.app/Contents/Frameworks/.; \
+	      install_name_tool -change $${my_dylib} @executable_path/../Frameworks/$${my_dylib_name} ${bin}${TO}.app/Contents/MacOS/`basename ${TO}`; \
+	      install_name_tool  -id @executable_path/../Frameworks/$${my_dylib_name} ${bin}${TO}.app/Contents/Frameworks/$${my_dylib_name}; \
+	      found=1; \
+            fi; \
+	    if [ $${found} -ne 1 ]; then \
+	      for search_lib_dir in `echo "LD_LIBRARY_PATH DYLD_LIBRARY_PATH . DYLD_FALLBACK_LIBRARY_PATH"` ; do \
+	        inv_paths="";\
+	        for dylib_paths in `printenv $${search_lib_dir} | sed -e 's/:/ /g'` ; do \
+	          inv_paths=$${dylib_paths}":"$${inv_paths};\
+	        done;\
+	        for dylib_paths in `echo $${inv_paths} | sed -e 's/:/ /g'` ; do \
+	          if [ -f $${dylib_paths}/$${my_dylib_name} ]; then \
+                    echo "   ...found $${my_dylib} in $${dylib_paths}"; \
+		    cp $${dylib_paths}/$${my_dylib_name} ${bin}${TO}.app/Contents/Frameworks/.; \
+		    install_name_tool -change $${my_dylib} @executable_path/../Frameworks/$${my_dylib_name} ${bin}${TO}.app/Contents/MacOS/`basename ${TO}`; \
+		    install_name_tool  -id @executable_path/../Frameworks/$${my_dylib_name} ${bin}${TO}.app/Contents/Frameworks/$${my_dylib_name}; \
+		    found=1; \
+		    break 2; \
+	          fi; \
+	        done; \
+	      done; \
+            fi; \
+	    if [ $${found} -eq 1 ]; then \
+              for dylib_change in `ls -1 ${bin}${TO}.app/Contents/Frameworks/` ; do \
+	        if [  $${dylib_change} != $${my_dylib_name} ]; then \
+		  install_name_tool -change $${my_dylib} @executable_path/../Frameworks/$${my_dylib_name} ${bin}${TO}.app/Contents/Frameworks/$${dylib_change}; \
+	        fi; \
+	      done; \
+	    else \
+              echo "     impossible to find $${dylib_change} in the following path : LD_LIBRARY_PATH:DYLD_LIBRARY_PATH:.:DYLD_FALLBACK_LIBRARY_PATH"; \
+              echo "    CMT setup is probably not done"; \
+              exit;\
+	    fi; \
+	  done; \
+          if [ -f darwin_app_libs ];then\
+            rm darwin_app_libs;\
+          fi ;\
+          if [ -f darwin_app_tmp_file ];then\
+            rm darwin_app_tmp_file;\
+          fi ;\
+	  if [ $${found} -eq 1 ]; then \
+            libs_to_change=0; \
+            echo " ";\
+            echo "check for others libraries to move in ${bin}${TO}.app/Contents/Frameworks/";\
+            for libs in `ls -1 ${bin}${TO}.app/Contents/Frameworks/` ; do \
+	      otool -L ${bin}${TO}.app/Contents/Frameworks/$${libs} | sed -e 's/^\([[:blank:]]*\)\(.*\)\( (.*\)/\2/'>> darwin_app_libs; \
+            done; \
+            sed -e '/^@executable_path/d' darwin_app_libs | sed -e '/dylib:/d' | egrep -v '^('$${unscan_libs_regexp}')' > darwin_app_tmp_file;\
+	    cp darwin_app_tmp_file darwin_app_libs;\
+            libs_to_change=`grep -c "dylib" darwin_app_libs`; \
+	  fi; \
+ 	  if [ $${found} -eq 0 ]; then \
+            end_loop_libs=1;\
+          fi; \
+	  if [ $${libs_to_change} -eq 0 ]; then \
+            end_loop_libs=1;\
+          fi; \
+        done; \
+        if [ -f darwin_app_libs ];then\
+          rm darwin_app_libs;\
+        fi ;\
+        if [ -f darwin_app_tmp_file ];then\
+          rm darwin_app_tmp_file;\
+        fi ;\
+	if [ $${found} -eq 0 ]; then \
+	  echo "   Impossible to generate ${TO}.app";\
+	fi; \
+	if [ $${found} -eq 1 ]; then \
+	  echo "   The executable file ${TO}.app has been generated ";\
+	fi;
+	
+${CONSTITUENT}clean ::
+	/bin/rm -R -f ${bin}${TO}.app
+
Index: /Interface_Web/trunk/Interfaces/Platform/v1r0p1/cmt/fragments/doxygen
===================================================================
--- /Interface_Web/trunk/Interfaces/Platform/v1r0p1/cmt/fragments/doxygen	(revision 26)
+++ /Interface_Web/trunk/Interfaces/Platform/v1r0p1/cmt/fragments/doxygen	(revision 26)
@@ -0,0 +1,1 @@
+
Index: /Interface_Web/trunk/Interfaces/Platform/v1r0p1/cmt/fragments/doxygen_header
===================================================================
--- /Interface_Web/trunk/Interfaces/Platform/v1r0p1/cmt/fragments/doxygen_header	(revision 26)
+++ /Interface_Web/trunk/Interfaces/Platform/v1r0p1/cmt/fragments/doxygen_header	(revision 26)
@@ -0,0 +1,18 @@
+
+${CONSTITUENT} :: ${TO}
+
+${TO} :: ${FROM}
+	@if [ ! -d ${TO} ]; then \
+	mkdir ${TO};\
+	fi;\
+	echo ${PLATFORMROOT}/cmt/Doxyfile;\
+        if [ -f ${TO}/Doxyfile ];then\
+          echo "file Doxyfile already exists";\
+        else\
+	  cp ${PLATFORMROOT}/cmt/Doxyfile ${TO};\
+	fi ;\
+	cd ${TO};\
+	doxygen;
+
+${CONSTITUENT}clean ::
+
Index: /Interface_Web/trunk/Interfaces/Platform/v1r0p1/cmt/fragments/nmake/copy_app_header
===================================================================
--- /Interface_Web/trunk/Interfaces/Platform/v1r0p1/cmt/fragments/nmake/copy_app_header	(revision 26)
+++ /Interface_Web/trunk/Interfaces/Platform/v1r0p1/cmt/fragments/nmake/copy_app_header	(revision 26)
@@ -0,0 +1,9 @@
+
+${CONSTITUENT} :: ${bin}${TO}
+
+${bin}${TO} :: ${FROM}
+	cp ${FROM} ${bin}${TO}
+
+${CONSTITUENT}clean ::
+	/bin/rm -f ${bin}${TO}
+
Index: /Interface_Web/trunk/Interfaces/Platform/v1r0p1/cmt/fragments/nmake/copy_exe
===================================================================
--- /Interface_Web/trunk/Interfaces/Platform/v1r0p1/cmt/fragments/nmake/copy_exe	(revision 26)
+++ /Interface_Web/trunk/Interfaces/Platform/v1r0p1/cmt/fragments/nmake/copy_exe	(revision 26)
@@ -0,0 +1,1 @@
+
Index: /Interface_Web/trunk/Interfaces/Platform/v1r0p1/cmt/fragments/nmake/copy_exe_header
===================================================================
--- /Interface_Web/trunk/Interfaces/Platform/v1r0p1/cmt/fragments/nmake/copy_exe_header	(revision 26)
+++ /Interface_Web/trunk/Interfaces/Platform/v1r0p1/cmt/fragments/nmake/copy_exe_header	(revision 26)
@@ -0,0 +1,9 @@
+
+${CONSTITUENT} :: ${bin}${TO}
+
+${bin}${TO} :: ${bin}${FROM}.exe
+	cp ${bin}${FROM}.exe ${bin}${TO}
+
+${CONSTITUENT}clean ::
+	/bin/rm -f ${bin}${TO}
+
Index: /Interface_Web/trunk/Interfaces/Platform/v1r0p1/cmt/fragments/nmake/darwin_app
===================================================================
--- /Interface_Web/trunk/Interfaces/Platform/v1r0p1/cmt/fragments/nmake/darwin_app	(revision 26)
+++ /Interface_Web/trunk/Interfaces/Platform/v1r0p1/cmt/fragments/nmake/darwin_app	(revision 26)
@@ -0,0 +1,1 @@
+
Index: /Interface_Web/trunk/Interfaces/Platform/v1r0p1/cmt/fragments/nmake/darwin_app_header
===================================================================
--- /Interface_Web/trunk/Interfaces/Platform/v1r0p1/cmt/fragments/nmake/darwin_app_header	(revision 26)
+++ /Interface_Web/trunk/Interfaces/Platform/v1r0p1/cmt/fragments/nmake/darwin_app_header	(revision 26)
@@ -0,0 +1,133 @@
+
+${CONSTITUENT} :: ${bin}${TO}.app
+
+# see for details : http://developer.apple.com/documentation/DeveloperTools/Conceptual/DynamicLibraries/Articles/DynamicLibraryUsageGuidelines.html
+# first, look in LD_LIBRARY_PATH
+# second, look in DYLD_LIBARY_PATH
+# third look in current directory
+# fourth look in $DYLD_FALLBACK_LIBRARY_PATH
+${bin}${TO}.app :: 
+	@/bin/rm -R -f ${bin}${TO}.app; \
+	if test -d  `dirname ${TO}` ; then \
+            mkdir -p `dirname ${TO}` ; \
+	fi ;\
+	mkdir -p ${bin}${TO}.app/Contents/MacOS; \
+	cp ${bin}${FROM}.exe ${bin}${TO}.app/Contents/MacOS/`basename ${TO}`; \
+	mkdir -p ${bin}${TO}.app/Contents/Resources; \
+	if test ! "${FROM_NIB}" = "" ; then \
+	  if test -d  ${FROM_NIB} ; then \
+            mkdir -p ${bin}${TO}.app/Contents/Resources/${TO_NIB} ; \
+	    cp -R ${FROM_NIB} ${bin}${TO}.app/Contents/Resources/${TO_NIB} ; \
+	  fi ;\
+	fi ;\
+	if test ! "${FROM_IMAGE}" = "" ; then \
+	  if test -f  ${FROM_IMAGE} ; then \
+	    cp ${FROM_IMAGE} ${bin}${TO}.app/Contents/Resources/${TO_IMAGE} ; \
+	  fi; \
+	fi; \
+        unscan_libs="/usr/X11R6;/usr/lib";\
+        if [ -f tmp_file ];then\
+          rm darwin_app_tmp_file;\
+        fi ;\
+        echo $${unscan_libs} | sed -e 's#;#|#g' -e 's#/#\\/#g' >darwin_app_tmp_file;\
+        read unscan_libs_regexp <darwin_app_tmp_file;\
+        if [ -f darwin_app_tmp_file ];then\
+          rm darwin_app_tmp_file;\
+        fi ;\
+        if [ -f darwin_app_libs ];then\
+          rm darwin_app_libs;\
+        fi ;\
+	mkdir -p ${bin}${TO}.app/Contents/Frameworks; \
+	otool -L ../Darwin/${bin}${TO}.app/Contents/MacOS/`basename ${TO}` |  sed -e 's/^\([[:blank:]]*\)\(.*\)\( (.*\)/\2/'> darwin_app_libs; \
+        sed -e '/^@executable_path/d' darwin_app_libs | sed -e '/dylib:/d' | egrep -v '^('$${unscan_libs_regexp}')' > darwin_app_tmp_file;\
+	cp darwin_app_tmp_file darwin_app_libs;\
+        if [ -f darwin_app_tmp_file ];then\
+          rm darwin_app_tmp_file;\
+        fi ;\
+        end_loop_libs=0; \
+        while [ $${end_loop_libs} -eq 0 ] ; do \
+	  for my_dylib in `grep "dylib" darwin_app_libs` ; do \
+            echo "look for dylib $${my_dylib}"; \
+	    found=0; \
+            my_dylib_name=`basename $${my_dylib}`; \
+            if [ `dirname $${my_dylib}` != "." ]; then \
+              echo "   ...found $${my_dylib}"; \
+              cp $${my_dylib} ${bin}${TO}.app/Contents/Frameworks/.; \
+	      install_name_tool -change $${my_dylib} @executable_path/../Frameworks/$${my_dylib_name} ${bin}${TO}.app/Contents/MacOS/`basename ${TO}`; \
+	      install_name_tool  -id @executable_path/../Frameworks/$${my_dylib_name} ${bin}${TO}.app/Contents/Frameworks/$${my_dylib_name}; \
+	      found=1; \
+            fi; \
+	    if [ $${found} -ne 1 ]; then \
+	      for search_lib_dir in `echo "LD_LIBRARY_PATH DYLD_LIBRARY_PATH . DYLD_FALLBACK_LIBRARY_PATH"` ; do \
+	        inv_paths="";\
+	        for dylib_paths in `printenv $${search_lib_dir} | sed -e 's/:/ /g'` ; do \
+	          inv_paths=$${dylib_paths}":"$${inv_paths};\
+	        done;\
+	        for dylib_paths in `echo $${inv_paths} | sed -e 's/:/ /g'` ; do \
+	          if [ -f $${dylib_paths}/$${my_dylib_name} ]; then \
+                    echo "   ...found $${my_dylib} in $${dylib_paths}"; \
+		    cp $${dylib_paths}/$${my_dylib_name} ${bin}${TO}.app/Contents/Frameworks/.; \
+		    install_name_tool -change $${my_dylib} @executable_path/../Frameworks/$${my_dylib_name} ${bin}${TO}.app/Contents/MacOS/`basename ${TO}`; \
+		    install_name_tool  -id @executable_path/../Frameworks/$${my_dylib_name} ${bin}${TO}.app/Contents/Frameworks/$${my_dylib_name}; \
+		    found=1; \
+		    break 2; \
+	          fi; \
+	        done; \
+	      done; \
+            fi; \
+	    if [ $${found} -eq 1 ]; then \
+              for dylib_change in `ls -1 ${bin}${TO}.app/Contents/Frameworks/` ; do \
+	        if [  $${dylib_change} != $${my_dylib_name} ]; then \
+		  install_name_tool -change $${my_dylib} @executable_path/../Frameworks/$${my_dylib_name} ${bin}${TO}.app/Contents/Frameworks/$${dylib_change}; \
+	        fi; \
+	      done; \
+	    else \
+              echo "     impossible to find $${dylib_change} in the following path : LD_LIBRARY_PATH:DYLD_LIBRARY_PATH:.:DYLD_FALLBACK_LIBRARY_PATH"; \
+              echo "    CMT setup is probably not done"; \
+              exit;\
+	    fi; \
+	  done; \
+          if [ -f darwin_app_libs ];then\
+            rm darwin_app_libs;\
+          fi ;\
+          if [ -f darwin_app_tmp_file ];then\
+            rm darwin_app_tmp_file;\
+          fi ;\
+	  if [ $${found} -eq 1 ]; then \
+            libs_to_change=0; \
+            echo " ";\
+            echo "check for others libraries to move in ${bin}${TO}.app/Contents/Frameworks/";\
+            for libs in `ls -1 ${bin}${TO}.app/Contents/Frameworks/` ; do \
+	      otool -L ${bin}${TO}.app/Contents/Frameworks/$${libs} | sed -e 's/^\([[:blank:]]*\)\(.*\)\( (.*\)/\2/'>> darwin_app_libs; \
+            done; \
+            sed -e '/^@executable_path/d' darwin_app_libs | sed -e '/dylib:/d' | egrep -v '^('$${unscan_libs_regexp}')' > darwin_app_tmp_file;\
+	    cp darwin_app_tmp_file darwin_app_libs;\
+            libs_to_change=`grep -c "dylib" darwin_app_libs`; \
+	  fi; \
+ 	  if [ $${found} -eq 0 ]; then \
+            end_loop_libs=1;\
+          fi; \
+	  if [ $${libs_to_change} -eq 0 ]; then \
+            end_loop_libs=1;\
+          fi; \
+        done; \
+        if [ -f darwin_app_libs ];then\
+          rm darwin_app_libs;\
+        fi ;\
+        if [ -f darwin_app_tmp_file ];then\
+          rm darwin_app_tmp_file;\
+        fi ;\
+	if [ $${found} -eq 0 ]; then \
+	  echo "   Impossible to generate ${TO}.app";\
+	fi; \
+	if [ $${found} -eq 1 ]; then \
+	  rm ${bin}${FROM}.exe; \
+#	  rm -rf ${bin}*_deps; \
+#	  rm -rf ${bin}*.make; \
+#	  rm -rf ${bin}*stamp; \
+	  echo "   The executable file ${TO}.app has been generated ";\
+	fi;
+	
+${CONSTITUENT}clean ::
+	/bin/rm -R -f ${bin}${TO}.app
+
Index: /Interface_Web/trunk/Interfaces/Platform/v1r0p1/cmt/requirements
===================================================================
--- /Interface_Web/trunk/Interfaces/Platform/v1r0p1/cmt/requirements	(revision 26)
+++ /Interface_Web/trunk/Interfaces/Platform/v1r0p1/cmt/requirements	(revision 26)
@@ -0,0 +1,85 @@
+package Platform
+version v1r0p1
+
+build_strategy no_prototypes
+include_path none
+
+tag RedHat7  Linux
+
+action make "gmake $(cmt_args)" Darwin "make $(cmt_args)" CYGWIN "make $(cmt_args)" WIN32 "nmake /f nmake $(cmt_args)"
+
+# Platform_bin is used in all OpenScientist packages.
+macro Platform_bin "${CMTCONFIG}"\
+           RedHat7 "${tag}"\
+         Linux_KCC "Linux_KCC"\
+        CERN_WIN32 "win32_vc71"\
+             WIN32 "VisualC"\
+           profile "profile"
+
+set PLATFORMBIN "${Platform_bin}"
+
+# At LAL :
+#macro Platform_use_KCC "" LAL "KCC v1r0 Interfaces"
+macro Platform_use_KCC ""
+use $(Platform_use_KCC)
+
+#  Building shared libs with "cxx" (and not ld) with default
+# libcxxstd induces application crashes.
+
+macro_remove cflags  "" alpha "-std1"
+macro_append cflags  "" alpha " -std strict_ansi -timplicit_local"
+
+macro_remove cppflags  "" alpha "-nocompress -std arm -msg_quiet"
+macro_append cppflags  "" alpha " -std strict_ansi -timplicit_local"
+
+# WARNING : MacOSX gl.h does not compile with gcc -ansi !!!
+#  There are some // comments in it.
+#macro_append cflags "" Darwin " -pipe -ansi -pedantic -W -Wall"
+
+macro_append cppflags "" Darwin " -pipe -ansi -pedantic -W -Wall -Wno-long-long "
+# to compile "long long" with g++-3.4.x
+macro_append cppflags "" Linux " -Wno-long-long"
+
+# for 64 bits :
+macro_append cppflags "" Linux " -fPIC"
+
+macro_append cflags  "" profile " -pg"
+macro_append cppflags  "" profile " -pg"
+macro_append cpplinkflags  "" profile " -pg"
+
+macro_remove shlibbuilder  "" OSF1 "ld"
+macro_append shlibbuilder  "" OSF1 "cxx -v"
+macro_remove shlibflags    "" OSF1 "-shared -expect_unresolved '*'"
+macro_append shlibflags    "" OSF1 " -shared -nocxxstd"
+
+# Darwin : building .dylib with -single_module permits
+#  to solve the "mutex hanging in constructor of static objects" problem.
+#  In particular it permits to avoid the "bind_at_load" that
+#  slows down the startup of applications.
+macro shlibflags "$(shlibflags)" Darwin "-dynamiclib -twolevel_namespace -undefined error"
+macro_append shlibflags    "" Darwin " -dynamic -single_module"
+# Darwin : options in order to pass the install_name_tool on 
+# .dylib, .bundle and .exe in order to build the .app 
+# (see for exam OnX/<version>/tools/mak_OnX_ons_app script).
+# 800 = 1024 in hexa.
+macro_append shlibflags "" Darwin " -Wl,-headerpad_max_install_names -Wl,-headerpad,800"
+
+# Darwin : to have twolevel_namespace.
+# macro make_shlib "$(make_shlib)" Darwin "${PLATFORMROOT}/cmt/cmt_make_shlib_common.sh extract"
+
+#  For UNIXes, to rename a <app>.exe to <app>
+make_fragment copy_exe -header=copy_exe_header
+make_fragment copy_app -header=copy_app_header
+
+# On Darwin, to build a .app bundle :
+make_fragment darwin_app -header=darwin_app_header
+
+# To have something similar than configure.
+# This fragment take a <file>.in and produce a <file>
+# by replacing @top_srcdir@ and @top_builddir@ with <PACKAGE>ROOT.
+make_fragment config_in -header=config_in_header
+
+# To build doc with Doxygen
+make_fragment doxygen -header=doxygen_header
+
+macro cmt_install_area_command "cp " WIN32 "xcopy /S /E /Y "
Index: /Interface_Web/trunk/Interfaces/Windows/v1r0p0/cmt/requirements
===================================================================
--- /Interface_Web/trunk/Interfaces/Windows/v1r0p0/cmt/requirements	(revision 26)
+++ /Interface_Web/trunk/Interfaces/Windows/v1r0p0/cmt/requirements	(revision 26)
@@ -0,0 +1,12 @@
+package Windows
+version v1r0p0
+
+build_strategy no_prototypes
+include_path none
+
+macro Windows_native_version "0"
+
+#macro Windows_linkopts "" WIN32 "/subsystem:windows"
+
+macro Windows_linkopts "" WIN32 "gdi32.lib user32.lib"
+
Index: /Interface_Web/trunk/Interfaces/Wt/v1r0p0/cmt/requirements
===================================================================
--- /Interface_Web/trunk/Interfaces/Wt/v1r0p0/cmt/requirements	(revision 26)
+++ /Interface_Web/trunk/Interfaces/Wt/v1r0p0/cmt/requirements	(revision 26)
@@ -0,0 +1,17 @@
+package Wt
+version v1r0p0
+
+use thread v1r0p0 Interfaces
+
+build_strategy no_prototypes
+include_path none
+
+
+macro Wt_home "/usr/local"
+
+macro Wt_cflags " -I ${Wt_home}/include/Wt "
+macro Wt_cppflags "${Wt_cflags}"
+
+macro Wt_linkopts " -L${Wt_home}/lib/ -lwt -lwtext -lwthttp -L/usr/lib -lz -lssl -lcrypto "
+
+path_append DYLD_LIBRARY_PATH "" Darwin "${Wt_home}/lib/"
Index: /Interface_Web/trunk/Interfaces/boost/v1r0p0/cmt/requirements
===================================================================
--- /Interface_Web/trunk/Interfaces/boost/v1r0p0/cmt/requirements	(revision 26)
+++ /Interface_Web/trunk/Interfaces/boost/v1r0p0/cmt/requirements	(revision 26)
@@ -0,0 +1,18 @@
+package boost
+version v1r0p0
+
+use thread v1r0p0 Interfaces
+
+build_strategy no_prototypes
+include_path none
+
+
+macro boost_home "/usr/local/boost"
+
+macro boost_cflags " -I ${boost_home}/include "
+macro boost_cppflags "${boost_cflags}"
+
+macro boost_linkopts " -L${boost_home}/lib/  -lboost_signals -lboost_program_options -L/usr/lib -lz -lssl -lcrypto "
+
+path_append DYLD_LIBRARY_PATH "" Darwin "${boost_home}/lib"
+
Index: /Interface_Web/trunk/Interfaces/dld/v2r0p0/cmt/requirements
===================================================================
--- /Interface_Web/trunk/Interfaces/dld/v2r0p0/cmt/requirements	(revision 26)
+++ /Interface_Web/trunk/Interfaces/dld/v2r0p0/cmt/requirements	(revision 26)
@@ -0,0 +1,10 @@
+package dld
+version v2r0p0
+
+build_strategy no_prototypes
+include_path none
+
+# dld native version is unkown
+macro dld_native_version "0"
+
+macro dld_linkopts "" SunOS "-ldl" Linux "-ldl" Darwin "-ldl"
Index: /Interface_Web/trunk/Interfaces/thread/v1r0p0/Darwin/thread_setup.make
===================================================================
--- /Interface_Web/trunk/Interfaces/thread/v1r0p0/Darwin/thread_setup.make	(revision 26)
+++ /Interface_Web/trunk/Interfaces/thread/v1r0p0/Darwin/thread_setup.make	(revision 26)
@@ -0,0 +1,22 @@
+----------> uses
+use CMT v1r18p20050501
+----------> tags
+CMTv1
+CMTr18
+CMTp20050501
+Darwin
+ENS
+OpenScientist_config
+OpenScientist_root
+OpenScientist_cleanup
+OpenScientist_no_prototypes
+OpenScientist_without_installarea
+OpenScientist
+CMTr14
+CMTr16
+powerpc
+mac103
+gcc33
+Unix
+----------> CMTPATH
+# Add path /Users/laurentgarnier/Work/OpenScientist/v15r0 from initialization
Index: /Interface_Web/trunk/Interfaces/thread/v1r0p0/cmt/requirements
===================================================================
--- /Interface_Web/trunk/Interfaces/thread/v1r0p0/cmt/requirements	(revision 26)
+++ /Interface_Web/trunk/Interfaces/thread/v1r0p0/cmt/requirements	(revision 26)
@@ -0,0 +1,10 @@
+package thread
+version v1r0p0
+
+build_strategy no_prototypes
+include_path none
+
+# thread native version is unknwon
+macro thread_native_version "0"
+
+macro thread_linkopts "-lpthread" WIN32 ""
